Productsup
CDE APIApi referenceConnectors

List states

Owners can list connector states. A state is holding progress of background process.

Sign in to run requests against the CDE API.
GET
/connectors/{publicId}/versions/{connectorVersion}/states

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Query Parameters

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/states"
{
  "data": [
    {
      "id": "648a62c5-3f8f-40ce-ab96-db285fc886a7",
      "status": "failed",
      "name": "deleniti",
      "owner": "57aca23f-21eb-4ac1-89b7-0bcd60da74a1",
      "created": "2026-05-11T14:13:02+02:00",
      "config": {
        "name": "state 5",
        "connectorPublicId": "019e16f4-7d36-70ed-abe3-bfc26a3a7dc3",
        "majorVersion": 2
      },
      "data": []
    },
    {
      "id": "16fb653b-1ec6-4092-9040-422254d121d4",
      "status": "done",
      "name": "amet",
      "owner": "e4e8302f-af30-4815-9458-c6de10cb19c7",
      "created": "2026-05-11T14:13:02+02:00",
      "config": {
        "name": "state 4",
        "connectorPublicId": "019e16f4-7d36-70ed-abe3-bfc26a3a7dc3",
        "majorVersion": 2
      },
      "data": []
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 20,
    "count": 2,
    "total": 2,
    "next": null
  },
  "message": "successful operation",
  "resource": "state"
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?